[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.Clear

Clear the list of fields

## Declaration

Source position: db.pas line 1151

`public procedure TFields.Clear;`

## Description

Clear removes all TField var instances from the list. All field instances are freed after they have been removed from the list.

## See also

TField |  | Provide access to the contents of a single field in a record